Problem with hostapd config-file

Jouni Malinen jkmaline at cc.hut.fi
Tue Aug 1 00:09:09 EDT 2006


On Mon, Jul 31, 2006 at 02:48:15PM +0200, the-able at gmx.net wrote:

> i'm using the files from http://hostap.epitest.fi/hostapd/. right now
> the version 0.5.4 (i'm interested in eap-aka), although a hostapd -ver
> says v0.4.9.

If "hostapd -v" claims that it is v0.4.9, you are not using the 0.5.4
version that you built here.. Please make sure that you are executing
the correct binary. For example, in the build directory, you should see
following output:

hostapd-0.5.4$ ./hostapd -v
hostapd v0.5.4
User space daemon for IEEE 802.11 AP management,
IEEE 802.1X/WPA/WPA2/EAP/RADIUS Authenticator
Copyright (c) 2002-2006, Jouni Malinen <jkmaline at cc.hut.fi> and
contributors

If you see v0.4.9 on the first line, that was from another hostapd
binary. Maybe you have an older version somewhere on the default
path.

> i attached the two files. i used basically the  default files (defconfig
> and madwifi.conf) with a few changes.

These files work fine in my tests with 0.5.4. No problems parsing the
configuration and madwifi driver interface is selected.

-- 
Jouni Malinen                                            PGP id EFC895FA



More information about the HostAP mailing list